# ChangeLog for sys-kernel/sparc-sources
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/sparc-sources/ChangeLog,v 1.114 2008/08/22 20:04:36 cardoe Exp $

  22 Aug 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
  add GLEP 56 USE flag desc from use.local.desc

  20 Apr 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.32-r6.ebuild, -sparc-sources-2.4.33.3.ebuild,
  -sparc-sources-2.4.33.4.ebuild:
  Remove old

  22 Feb 2007; Markus Ullmann <jokey@gentoo.org> ChangeLog:
  Redigest for Manifest2

  23 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.34.ebuild:
  Stable on sparc

*sparc-sources-2.4.34 (16 Jan 2007)

  16 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.34.ebuild:
  New for 2007

*sparc-sources-2.4.33.4 (11 Dec 2006)

  11 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.33.4.ebuild:
  New rev wrt security #157186 and others

  26 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.33.3.ebuild:
  Stable on sparc

*sparc-sources-2.4.33.3 (04 Sep 2006)

  04 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.33.2-r1.ebuild, +sparc-sources-2.4.33.3.ebuild:
  2.4.33.3 base, fixes CVE-2006-4145 and sun disklabel sector usage count.
  Rolled back to squashfs3.0 since 3.1 has issues with 2.4

*sparc-sources-2.4.33.2-r1 (28 Aug 2006)

  28 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.33.2.ebuild, +sparc-sources-2.4.33.2-r1.ebuild:
  squashfs 3.1 and minor kernel symbol exhaustion fix

*sparc-sources-2.4.33.2 (25 Aug 2006)

  25 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.33.ebuild, +sparc-sources-2.4.33.2.ebuild:
  Revbump with 2.4.33.2 base and new grsec

*sparc-sources-2.4.33 (14 Aug 2006)

  14 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.33.ebuild:
  Revbump

  11 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.32-r2.ebuild, -sparc-sources-2.4.32-r3.ebuild,
  -sparc-sources-2.4.32-r4.ebuild, -sparc-sources-2.4.32-r5.ebuild:
  Remove old

  04 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.32-r6.ebuild:
  Stable on sparc

*sparc-sources-2.4.32-r6 (30 Jun 2006)

  30 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.32-r6.ebuild:
  Revbump wrt security #138617

  28 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.32-r5.ebuild:
  Stable on sparc

*sparc-sources-2.4.32-r5 (12 May 2006)

  12 May 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.32-r5.ebuild:
  New revbump with more security patches #112791

*sparc-sources-2.4.32-r4 (24 Apr 2006)

  24 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.32-r4.ebuild:
  Revbump with more security patches #112791

  24 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -sparc-sources-2.4.31.ebuild, -sparc-sources-2.4.31-r2.ebuild,
  -sparc-sources-2.4.32.ebuild, -sparc-sources-2.4.32-r1.ebuild:
  Cleanup old

*sparc-sources-2.4.32-r3 (22 Mar 2006)

  22 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.32-r3.ebuild:
  New rev, grsec 2.1.8, squashfs 3.0 and should fix sparc32 building with gcc
  3.4.x

  08 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.32-r2.ebuild:
  Stable on sparc

*sparc-sources-2.4.32-r2 (02 Feb 2006)

  02 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -files/2.4-sparc64-ramdisk64.patch, -files/blade1500.patch,
  -sparc-sources-2.4.30.ebuild, +sparc-sources-2.4.32-r2.ebuild:
  Bump with CVE-2004-1058 backport fix and cleanup

  08 Jan 2006; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.32-r1.ebuild:
  Marked stable

*sparc-sources-2.4.32-r1 (03 Jan 2006)

  03 Jan 2006; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.32-r1.ebuild:
  Security updates: backport-of-CVE-2005-2709-fix,
  fix-sendmsg-overflow-CVE-2005-2490, vfs-local-denial-of-service-file-lease,
  ipv6-mcast-igmp-dos-fix

  12 Dec 2005; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.32.ebuild:
  Marked stable

*sparc-sources-2.4.32 (17 Nov 2005)

  17 Nov 2005; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.32.ebuild:
  kernel updated to 2.4.32. squashfs updated to 2.2. grsecurity updated to 2.1.7.

  05 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  -files/generate-asm-sparc, -sparc-sources-2.4.29.ebuild,
  -sparc-sources-2.4.31-r1.ebuild:
  2.4.29 & 2.4.31-r1 cleanup

  05 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  sparc-sources-2.4.31-r2.ebuild:
  Stable on sparc wrt #75668 among other details

*sparc-sources-2.4.31-r2 (04 Oct 2005)

  04 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.31-r2.ebuild:
  Revbump with sparc64 utimes NULL and ioctl routing fixes

*sparc-sources-2.4.31-r1 (06 Sep 2005)

  06 Sep 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  +sparc-sources-2.4.31-r1.ebuild:
  New rev with netfilter patch #75668 and bzero_noasi (gcc 3.4 build) fix

  05 Jul 2005; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.31.ebuild:
  Marked stable

*sparc-sources-2.4.31 (16 Jun 2005)

  16 Jun 2005; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.31.ebuild:
  Version bump.

  22 Apr 2005; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.30.ebuild:
  Marked stable.

*sparc-sources-2.4.30 (09 Apr 2005)

  09 Apr 2005; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.30.ebuild:
  Bumped to 2.4.30 with updated patches.
  Added 2.4-sparc64-ramdisk64.patch to patch archive.

  06 Mar 2005; Gustavo Zacarias <gustavoz@gentoo.org> +files/blade1500.patch,
  sparc-sources-2.4.29.ebuild:
  Added blade 1500 support patch from davem

  24 Feb 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  +files/2.4-sparc64-ramdisk64.patch, sparc-sources-2.4.29.ebuild:
  Fixed openprom typo, added in conditional livecd ramdisk rollback patch AKA
  wookie

  22 Feb 2005; Christian Birchinger <joker@gentoo.org>
  -files/U1-hme-lockup.patch, -sparc-sources-2.4.28-r6.ebuild:
  Removed old versions

  16 Feb 2005; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.29.ebuild:
  Marked stable

*sparc-sources-2.4.29 (25 Jan 2005)

  25 Jan 2005; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.29.ebuild:
  Version bump

*sparc-sources-2.4.28-r6 (16 Jan 2005)

  16 Jan 2005; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.28-r6.ebuild:
  Security fixes from bug #77094

*sparc-sources-2.4.28-r5 (09 Jan 2005)

  09 Jan 2005; Christian Birchinger <joker@gentoo.org>
  +files/2.4-brk-locked-plasmaroo.PaX.patch, +sparc-sources-2.4.28-r5.ebuild:
  Updated the uselib fix for PAX

*sparc-sources-2.4.28-r4 (08 Jan 2005)

  08 Jan 2005; Christian Birchinger <joker@gentoo.org>
  +files/2.4-brk-locked-plasmaroo.patch, +sparc-sources-2.4.28-r4.ebuild:
  Added a security fix for bug #77025

*sparc-sources-2.4.28-r3 (25 Dec 2004)

  25 Dec 2004; Christian Birchinger <joker@gentoo.org>
  +files/2.4.28-vma-PaX.patch, +files/linux-2.4.28-CAN-2004-1056.patch,
  +sparc-sources-2.4.28-r3.ebuild:
  Fixed the #72452 and #74464 security holes

  19 Dec 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.28-r2.ebuild:
  Marked stable

*sparc-sources-2.4.28-r2 (15 Dec 2004)

  15 Dec 2004; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.28-r2.ebuild:
  Updated squashfs to 2.1. Added security fixes for CAN-2004-1016 and
  CAN-2004-1137

  02 Dec 2004; Christian Birchinger <joker@gentoo.org> :
  Security fix for CAN-2004-1074 (Bug #72452).
  Added a sparc64 smbfs fix.

  27 Nov 2004; Christian Birchinger <joker@gentoo.org>
  -files/gentoo-sources-2.4.27-binfmt_elf.patch,
  -files/use-pte_alloc_one_fast-r1.patch, -sparc-sources-2.4.27-r1.ebuild,
  -sparc-sources-2.4.27-r2.ebuild, -sparc-sources-2.4.27-r3.ebuild,
  -sparc-sources-2.4.27.ebuild:
  Removed old version

  25 Nov 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.28.ebuild:
  Marked stable

*sparc-sources-2.4.28 (23 Nov 2004)

  23 Nov 2004; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.28.ebuild:
  Version bump and squashfs 2.0 included

*sparc-sources-2.4.27-r3 (12 Nov 2004)

  12 Nov 2004; Christian Birchinger <joker@gentoo.org>
  +files/gentoo-sources-2.4.27-binfmt_elf.patch,
  +sparc-sources-2.4.27-r3.ebuild:
  Added a security fix for the Linux kernel binfmt_elf loader vulnerabilities

*sparc-sources-2.4.27-r2 (10 Nov 2004)

  10 Nov 2004; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.27-r2.ebuild:
  Added a security fix for CAN-2004-0814 and a patch for the XDR NFS3 hole

*sparc-sources-2.4.27-r1 (11 Aug 2004)

  11 Aug 2004; Christian Birchinger <joker@gentoo.org>
  +files/use-pte_alloc_one_fast-r1.patch, +sparc-sources-2.4.27-r1.ebuild:
  Updated version with new use-pte_alloc_one_fast-r1.patch for sparc32 systems
  and a security fix for the cmdline leak.

  11 Aug 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.27.ebuild:
  Marked stable

*sparc-sources-2.4.27 (09 Aug 2004)

  09 Aug 2004; Christian Birchinger <joker@gentoo.org>
  +sparc-sources-2.4.27.ebuild:
  Version bump

*sparc-sources-2.4.26-r4 (16 Jul 2004)

  16 Jul 2004; Christian Birchinger <joker@gentoo.org>
  +files/2.4.26-use-pte_alloc_one_fast.patch, +sparc-sources-2.4.26-r4.ebuild:
  Added a fix for grsec on sparc32

*sparc-sources-2.4.26-r3 (09 Jul 2004)

  09 Jul 2004; Christian Birchinger <joker@gentoo.org>
  +files/2.4-attr-fix.patch, +sparc-sources-2.4.26-r3.ebuild:
  Added a security fix for fs/attr.c

*sparc-sources-2.4.26-r2 (25 Jun 2004)

  25 Jun 2004; Christian Birchinger <joker@gentoo.org>
  +files/2.4.26-CAN-2004-0495.patch, +files/2.4.CAN-2004-0535.patch,
  +sparc-sources-2.4.26-r2.ebuild:
  Added CAN-2004-0495 and CAN-2004-0535 security fixes

*sparc-sources-2.4.26-r1 (03 Jun 2004)

  03 Jun 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.26-r1.ebuild, files/2.4.26-CAN-2004-0394.patch:
  Added CAN-2004-0394 fix

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  sparc-sources-2.4.25-r1.ebuild, sparc-sources-2.4.26.ebuild:
  Add inherit eutils

  21 Apr 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.26.ebuild:
  Marked stable

*sparc-sources-2.4.26 (18 Apr 2004)

  18 Apr 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.26.ebuild:
  Version bump

*sparc-sources-2.4.25-r1 (15 Apr 2004)

  15 Apr 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.25-r1.ebuild:
  Added a security fix for the ISO9660 symlink issue (CAN-2004-0109)

  12 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> sparc-sources-2.4.25.ebuild:
  Add eutils to inherit.

  21 Mar 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.25.ebuild:
  Marked stable

*sparc-sources-2.4.25 (21 Feb 2004)

  21 Feb 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.25.ebuild:
  Version bump

  19 Feb 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.24-r2.ebuild:
  Marked stable

*sparc-sources-2.4.24-r2 (18 Feb 2004)

  18 Feb 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.24-r2.ebuild:
  Added a mremap_unmap security fix

*sparc-sources-2.4.24-r1 (26 Jan 2004)

  26 Jan 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.24-r1.ebuild:
  Re-added the ffb_drv fix

  24 Jan 2004; Markus Nigbur <pyrania@gentoo.org>
  sparc-sources-2.4.23-r1.ebuild, sparc-sources-2.4.24.ebuild:
  Removed build from IUSE, because the kernel eclass already adds it.

  23 Jan 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.24.ebuild:
  Marked stable

*sparc-sources-2.4.24 (07 Jan 2004)

  07 Jan 2004; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.24.ebuild:
  Version bump

  07 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.23-r1.ebuild:
  Marked stable

*sparc-sources-2.4.23-r1 (06 Dec 2003)

  06 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.23-r1.ebuild:
  New version with ffb_drv-fix included

  04 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.23.ebuild: Marked stable.

  04 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.22.ebuild: Moved the 'do_brk' patch below 
  kernel_src_unpack because kernel_src_unpack needs the patch directory 
  as the current directory current dir and not the kernel source tree - this 
  made 'epatch' fail.

  02 Dec 2003; Brian Jackson <iggy@gentoo.org> sparc-sources-2.4.22.ebuild:
  Fix the 'do_brk' vulnerability.

  02 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.22.ebuild:
  Used the 2.4.23 ebuild for 2.4.22 to make it emergable again with the latest
  kernel eclass.

  02 Dec 2003; Brian Jackson <iggy@gentoo.org> sparc-sources-2.4.22-r1.ebuild:
  Removing the broken 22-r1 ebuild.

*sparc-sources-2.4.22-r1 (02 Dec 2003)

  02 Dec 2003; Brian Jackson <iggy@gentoo.org> sparc-sources-2.4.22-r1.ebuild:
  Version bump for 'do_brk' vulnerability.

  01 Dec 2003; Brian Jackson <iggy@gentoo.org> sparc-sources-2.4.20-r8.ebuild,
  sparc-sources-2.4.21-r1.ebuild, sparc-sources-2.4.22.ebuild,
  files/do_brk_fix.patch: Fix the 'do_brk' vulnerability.

*sparc-sources-2.4.23 (01 Dec 2003)

  01 Dec 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.23.ebuild:
  New version.

  20 Nov 2003; Brandon Low <lostlogic@gentoo.org>
  sparc-sources-2.4.20-r8.ebuild, sparc-sources-2.4.21-r1.ebuild,
  sparc-sources-2.4.22.ebuild:
  Move version handling logic to after inherit kernel, or insert it where
  necessary.

  19 Oct 2003; Sven Blumenstein <bazik@gentoo.org>
  sparc-sources-2.4.22.ebuild:
  Bumped to stable.

  29 Sep 2003; Martin Holzer <mholzer@gentoo.org>
  sparc-sources-2.4.20-r8.ebuild, sparc-sources-2.4.21-r1.ebuild,
  sparc-sources-2.4.22.ebuild:
  Now uses mirror://kernel.

  05 Sep 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.2.21_pre3.ebuild, files/sparc-asm_offsets.h,
  files/sparc64-asm_offsets.h:
  Cleaned old ebuilds and files.

*sparc-sources-2.4.22 (03 Sep 2003)

  03 Sep 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.22.ebuild:
  Version bump.

  16 Aug 2003; Jason Wever <weeve@gentoo.org> metadata.xml:
  Added metadata.xml.

  23 Jul 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r8.ebuild, sparc-sources-2.4.21-r1.ebuild:
  Fixed ebuilds so they work with newer portage versions.

*sparc-sources-2.4.21-r1 (22 Jun 2003)

  22 Jun 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.21-r1.ebuild:
  Added new release which fixes smp booting on sparc32.

  22 Jun 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.21.ebuild:
  Added stable sparc keyword.

  19 Jun 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.21.ebuild:
  Added ~sparc keyword.

*sparc-sources-2.4.21 (15 Jun 2003)

  15 Jun 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.21.ebuild:
  Added 2.4.21 but marked it -*.

*sparc-sources-2.4.20-r8 (06 Apr 2003)

  06 Apr 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r8.ebuild:
  Marked 2.4.20-r8 stable.

  06 Apr 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r8.ebuild:
  New version with a very minor sparc32 kgcc detect update.
  No kernel-source changes.

*sparc-sources-2.4.20-r7 (30 Mar 2003)

  02 Apr 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r7.ebuild:
  Switched from a U1_HME_FIX variable to a local use flag.

  30 Mar 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r7.ebuild files/digest-sparc-sources-2.4.20-r7 :
  New Grsecurity 1.9.9e version included which has sparc64 fixes and
  the ptrace security fix included. The standalone ptrace patch has
  been removed.

*sparc-sources-2.4.20-r6 (19 Mar 2003)

  25 Mar 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r6.ebuild:
  Added an optional HME patch for Ultra1 machines.

  20 Mar 2003; Christian Birchinger <joker@gentoo.org>
  sparc-sources-2.4.20-r6.ebuild:
  Changed KEYWORD from ~sparc to sparc.

  19 Mar 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r6.ebuild files/digest-sparc-sources-2.4.20-r6 :
  Better ptrace fix. The original one wont compile on sparc64.

*sparc-sources-2.4.20-r5 (18 Mar 2003)

  18 Mar 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r5.ebuild files/digest-sparc-sources-2.4.20-r5 :
  Added 2 new patches. A fix for the ext3 corruption problem and a fix
  for the recent ptrace local security hole. The grsecurity version 
  has been bumped to 1.9.9c.

*sparc-sources-2.4.20-r4 (02 Mar 2003)

  11 Feb 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r4.ebuild :
  New version with better kgcc handling for sparc32.

*sparc-sources-2.4.20-r3 (03 Feb 2003)

  03 Feb 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r3.ebuild files/digest-sparc-sources-2.4.20-r3 :
  Added a sparc32 kgcc Makefile patch.

*sparc-sources-2.4.20-r2 (09 Jan 2003)

  10 Jan 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r2.ebuild:
  Changed 'sparc' keyword to stable. 

  09 Jan 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r2.ebuild files/digest-sparc-sources-2.4.20-r2 :  
  Added a sparc64 netfilter patch.

*sparc-sources-2.4.20-r1 (07 Jan 2003)

  07 Jan 2003; Christian Birchinger <joker@gentoo.org>:
  sparc-sources-2.4.20-r1.ebuild files/digest-sparc-sources-2.4.20-r1 :  
  Added grsecurity 1.9.8 to patches-2.4.20-r1-sparc.tar.bz2

  17 Dec 2002; Brandon Low <lostlogic@gentoo.org>:
  Make all kernel-sources SLOT="${KV}"

*sparc-sources-2.4.21_pre1 (14 Dec 2002)

  14 Dec 2002; Seemant Kulleen <seemant@gentoo.org>
  sparc-sources-2.4.21.ebuild files/digest-sparc-sources-2.4.21_pre1 :
  Moved 2.4.20 to stable, and this to the new testing

*sparc-sources-2.4.20 (30 Nov 2002)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : Changed sparc ~sparc keywords
 
  30 Nov 2002; Seemant Kulleen <seemant@gentoo.org>
  sparc-sources-2.4.20.ebuild files/digest-sparc-sources-2.4.20 :
  Version bump.  Same framebuffer logo patch.

*sparc-sources-2.4.20_pre10 (09 Oct 2002)

  09 Oct 2002; Seemant Kulleen <seemant@gentoo.org>
  sparc-sources-2.4.20_pre10.ebuild files/digest-sparc-sources-2.4.20_pre10 :
  Version bump to newest available stable-ish kernel.  This version has many
  many fixes for sparc architectures.  Additionally, Troy Dack's patch for
  the framebuffer logos is applied to the kernel source, to allow choice of
  framebuffer logo.

*sparc-sources-2.2.21_pre3 (12 May 2002)

  15 Jul 2002; Mark Guertin <gerk@gentoo.org>
  Added arch keywords (sparc sparc64 -ppc -x86)

  12 May 2002; M.Thibaut <murphy@gentoo.org> :
  This is the 2.2.20 version of the Linux kernel with the devfs patch
  added. You should be able to to use the linux-vanilla sources instead,
  but you can use this kernel if you want Linux 2.2.x.

  This is only intended towards sparc 32 bit platforms (sun4[cdm]) but
  should be usable by all platforms.
